> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# remove HVAC



## OpenAPI

````yaml /api-reference/openapi.json post /v1/devices/hvac/{id}/unlink
openapi: 3.0.0
info:
  title: WattShift API
  description: An API for the WattShift Service (https://wattshift.com/partners)
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/devices/hvac/{id}/unlink:
    post:
      tags:
        - hvac
      summary: remove HVAC
      operationId: HvacApiKeyAuthController_unlinkHvac_v1
      parameters:
        - name: x-ws-api-key
          in: header
          description: WattShift API Key
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HvacDto'
              example:
                deviceId: ws_device_123456789
                systemDetails:
                  name: Living room thermostat
                  tempUnits: F
                  defaultMode: AUTO
                targetCoolSetpoint: 74
                targetHeatSetpoint: 68
                maxTemp: 78
                minTemp: 60
                currentTemp: 71
                coolingRate: 1
                heatingRate: 1
                heatTransferCoefficient: 1
                irradianceCoefficient: 0.5
                thermodynamicValuesUpdatedAt: '2025-01-02T12:00:00.000Z'
                lastSetPointSchedule: null
                lastOptimizationRunData: null
                deleted: false
      security:
        - x-ws-api-key: []
components:
  schemas:
    HvacDto:
      type: object
      properties:
        deviceId:
          type: string
        systemDetails:
          oneOf:
            - oneOf:
                - type: string
                - type: number
                - type: boolean
            - type: array
              items: {}
            - type: object
              additionalProperties: {}
        targetCoolSetpoint:
          type: number
          nullable: true
        targetHeatSetpoint:
          type: number
          nullable: true
        maxTemp:
          type: number
          nullable: true
        minTemp:
          type: number
          nullable: true
        currentTemp:
          type: number
          nullable: true
        coolingRate:
          type: number
          nullable: true
        heatingRate:
          type: number
          nullable: true
        heatTransferCoefficient:
          type: number
          nullable: true
        irradianceCoefficient:
          type: number
          nullable: true
        thermodynamicValuesUpdatedAt:
          nullable: true
        lastSetPointSchedule: {}
        lastOptimizationRunData: {}
        deleted:
          type: boolean
      required:
        - deviceId
        - systemDetails
        - lastSetPointSchedule
        - lastOptimizationRunData
        - deleted
  securitySchemes:
    x-ws-api-key:
      type: apiKey
      in: header
      name: x-ws-api-key
      description: WattShift API key

````